%define real_name Data-Locations

Summary:	Data-Locations module for perl 
Name:		perl-%{real_name}
Version:	5.4
Release:	%mkrel 6
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module allows for "magic" insertion points in your data.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES.txt CREDITS.txt GNU_GPL.txt INSTALL.txt README.txt
%{perl_vendorlib}/*/Data/Locations.pm
%{perl_vendorlib}/*/auto/Data/Locations
%{_mandir}/*/*




%changelog
* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 5.4-6mdv2010.0
+ Revision: 430403
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.4-5mdv2009.0
+ Revision: 256470
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.4-3mdv2008.1
+ Revision: 152047
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.4-2mdv2008.0
+ Revision: 86326
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 5.4-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 5.4-1mdk
- initial Mandriva package

